Get the previews of an edit

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/edits/{edit_id}/preview-files

Get the preview files of an edit. The response is a map of task type identifiers to lists of previews.

Path parameters

  • edit_id string(uuid) Required

    Unique identifier of the edit

Responses

  • 200 application/json

    A map of task type identifiers to lists of previews

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Preview unique identifier

      • name string

        Preview name

      • original_name string

        Original file name

      • file_path string

        File path

      • task_type_id string(uuid)

        Task type identifier

      • created_at string(date-time)

        Creation timestamp

  • 403

    You do not have access to this project, or you are a vendor without a task on this edit

  • 404

    The edit does not exist

GET /data/edits/{edit_id}/preview-files
curl -X GET "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/preview-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/preview-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "additionalProperty1": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d360",
      "name": "edit_preview_01",
      "original_name": "edit_sequence.mov",
      "file_path": "/previews/edit/edit_preview_01.mov",
      "task_type_id": "c46c80c6-e097-6887-c292-79675204e470",
      "created_at": "2023-01-01T12:00:00Z"
    }
  ],
  "additionalProperty2": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d360",
      "name": "edit_preview_01",
      "original_name": "edit_sequence.mov",
      "file_path": "/previews/edit/edit_preview_01.mov",
      "task_type_id": "c46c80c6-e097-6887-c292-79675204e470",
      "created_at": "2023-01-01T12:00:00Z"
    }
  ]
}